<ng-container *ngIf="chapter$ | async as chapter">
  <ng-container *ngIf="paragraph$ | async as paragraph">
    <div class="row">
      <div class="col">
        {{paragraph.text}}
      </div>
    </div>
    <div class="row">
      <div class="col">
        <h2>{{paragraph.question}}</h2>
      </div>
    </div>
    <div class="row">
      <div class="col" [formGroup]="form">
        <div class="form-check" *ngFor="let choice of paragraph.choices">
          <input class="form-check-input" type="radio" id="{{choice.uuid}}" value="{{choice.uuid}}"
                 formControlName="answer">
          <label class="form-check-label" for="{{choice.uuid}}">{{choice.title}}</label>
        </div>
      </div>
    </div>

    <div class="row">
      <div class="col d-flex justify-content-start" *ngIf="prev$ | async as prev">
        <button class="btn btn-secondary" [routerLink]="['../', prev.uuid]">Назад</button>
      </div>
      <div class="col d-flex justify-content-end">
        <ng-container *ngIf="next$ | async as next; else goToResultsTpl">
          <button class="btn btn-primary" (click)="nextParagraph(paragraph, next)" [disabled]="form.invalid">Далі
          </button>
        </ng-container>
        <ng-template #goToResultsTpl>
          <button class="btn btn-success" (click)="goToResults(paragraph)">Отримати результати</button>
        </ng-template>
      </div>

    </div>
  </ng-container>


</ng-container>

